net.sf.jasperreports.engine.util

## Class XmlNamespace

- java.lang.Object
- - net.sf.jasperreports.engine.util.XmlNamespace

-     public class XmlNamespace
      extends java.lang.Object

  An XML namespace.
  Version:
    $Id: XmlNamespace.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRXmlWriteHelper.startElement(String, XmlNamespace)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlNamespace(java.lang.String uri, java.lang.String prefix, java.lang.String schemaURI)` Creates an XML namespace.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNamespaceURI()` Returns the namespace URI.
    `java.lang.String` | `getPrefix()` Returns the namespace prefix.
    `java.lang.String` | `getSchemaURI()` Returns the URI of the XML schema associated with the namespace.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlNamespace

          public XmlNamespace(java.lang.String uri,
                      java.lang.String prefix,
                      java.lang.String schemaURI)

      Creates an XML namespace.
      Parameters:
        `uri` - the namespace URI
        `prefix` - the namespace prefix
        `schemaURI` - the URI of the XML schema associated with the namespace

  - ### Method Detail

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI()

      Returns the namespace URI.
      Returns:
        the namespace URI

    - #### getPrefix

          public java.lang.String getPrefix()

      Returns the namespace prefix.
      Returns:
        the namespace prefix

    - #### getSchemaURI

          public java.lang.String getSchemaURI()

      Returns the URI of the XML schema associated with the namespace.
      Returns:
        the namespace XML schema URI

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com